{
    "name": "app.salona",
    "private": true,
    "version": "2.96.0",
    "type": "module",
    "scripts": {
        "dev": "vite --host",
        "build": "tsc -b && vite build",
        "lint": "eslint .",
        "preview": "vite preview",
        "generate-pwa-icons": "pwa-assets-generator",
        "test": "jest",
        "test:watch": "jest --watch",
        "test:coverage": "jest --coverage",
        "test:ci": "jest --runInBand --coverage"
    },
    "dependencies": {
        "@emoji-mart/data": "^1.2.1",
        "@emoji-mart/react": "^1.1.1",
        "@heroicons/react": "^2.2.0",
        "@jest/types": "^30.2.0",
        "@lottiefiles/dotlottie-react": "^0.13.5",
        "@radix-ui/react-accordion": "1.2.1",
        "@radix-ui/react-avatar": "1.1.1",
        "@radix-ui/react-dialog": "1.1.2",
        "@radix-ui/react-label": "2.1.0",
        "@radix-ui/react-popover": "^1.1.15",
        "@radix-ui/react-select": "2.1.2",
        "@radix-ui/react-slot": "1.1.0",
        "@radix-ui/react-switch": "1.1.1",
        "@radix-ui/react-tabs": "1.1.2",
        "@radix-ui/react-tooltip": "1.1.3",
        "@tabler/icons-react": "^3.35.0",
        "@tailwindcss/vite": "^4.1.14",
        "@tanstack/react-query": "5.59.20",
        "@zxing/browser": "^0.1.5",
        "aos": "2.3.4",
        "axios": "1.7.7",
        "class-variance-authority": "0.7.0",
        "clsx": "2.1.1",
        "date-fns": "^4.1.0",
        "dayjs": "^1.11.18",
        "emoji-mart": "^5.6.0",
        "emoji-picker-react": "^4.14.0",
        "firebase": "^11.10.0",
        "framer-motion": "^12.23.24",
        "html-to-image": "^1.11.13",
        "input-otp": "1.4.1",
        "jalaali-js": "^1.2.8",
        "jalali-moment": "3.3.11",
        "jalaliday": "^3.1.1",
        "leaflet": "1.9.4",
        "lottie-react": "^2.4.1",
        "lucide-react": "0.456.0",
        "motion": "^12.23.24",
        "msw": "^2.12.3",
        "qr-scanner": "^1.4.2",
        "qrcode.react": "^4.2.0",
        "react": "18.3.1",
        "react-date-object": "2.1.9",
        "react-datetime-picker": "^7.0.1",
        "react-day-picker": "^9.11.1",
        "react-device-detect": "^2.2.3",
        "react-dom": "18.3.1",
        "react-element-to-jsx-string": "^17.0.1",
        "react-error-boundary": "4.1.2",
        "react-fast-marquee": "^1.6.5",
        "react-h5-audio-player": "^3.10.1",
        "react-hook-form": "7.53.2",
        "react-hot-toast": "2.4.1",
        "react-html-parser": "^2.0.2",
        "react-icons": "^5.5.0",
        "react-image-crop": "11.0.7",
        "react-leaflet": "4.2.1",
        "react-multi-date-picker": "4.5.2",
        "react-player": "^3.3.3",
        "react-qr-reader": "3.0.0-beta-1",
        "react-qr-scanner": "1.0.0-alpha.11",
        "react-router-dom": "6.28.0",
        "react-select": "^5.10.2",
        "react-simple-captcha": "^9.3.1",
        "react-spinners": "0.14.1",
        "react-time-picker": "^8.0.2",
        "react-type-animation": "^3.2.0",
        "react-video-player": "^1.0.0",
        "recharts": "^2.15.4",
        "sweetalert2": "11.14.5",
        "swiper": "11.2.2",
        "tailwind-merge": "2.5.4",
        "tailwindcss-animate": "1.0.7",
        "use-local-storage": "3.0.0",
        "vaul": "1.1.1",
        "video-react": "^0.16.0",
        "whatwg-fetch": "^3.6.20",
        "workbox-precaching": "^7.3.0",
        "workbox-window": "^7.3.0"
    },
    "devDependencies": {
        "@eslint/js": "9.13.0",
        "@svgr/webpack": "^8.1.0",
        "@testing-library/jest-dom": "^6.9.1",
        "@testing-library/react": "^16.3.0",
        "@testing-library/user-event": "^14.6.1",
        "@types/aos": "3.0.7",
        "@types/jest": "^30.0.0",
        "@types/leaflet": "1.9.14",
        "@types/node": "22.9.0",
        "@types/react": "18.3.12",
        "@types/react-dom": "18.3.1",
        "@types/react-html-parser": "^2.0.7",
        "@types/swiper": "^6.0.0",
        "@vite-pwa/assets-generator": "0.2.6",
        "@vitejs/plugin-react-swc": "3.5.0",
        "autoprefixer": "10.4.20",
        "eslint": "9.13.0",
        "eslint-plugin-react-hooks": "5.0.0",
        "eslint-plugin-react-refresh": "0.4.14",
        "globals": "15.11.0",
        "identity-obj-proxy": "^3.0.0",
        "jest": "^30.2.0",
        "jest-environment-jsdom": "^30.2.0",
        "postcss": "8.4.47",
        "tailwindcss": "3.4.14",
        "ts-jest": "^29.4.5",
        "ts-node": "^10.9.2",
        "typescript": "~5.6.3",
        "typescript-eslint": "8.11.0",
        "vite": "5.4.10",
        "vite-plugin-pwa": "0.21.0",
        "vite-tsconfig-paths": "^5.1.4"
    },
    "resolutions": {
        "sharp": "0.32.6",
        "sharp-ico": "0.1.5"
    }
}
